using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ZXDT.CallCenter.Model
{
   public class TreeNodeModel
    {
       public int id
       {
           set;
           get;
       }
		/// <summary>
		/// 
		/// </summary>
       public string name
       {
           set;
           get;
       }
       public int code
       {
           set;
           get;
       }
       public string iconOpen
       {
           set;
           get;
       }

       public string iconClose
       {
           set;
           get;
       }
       public string open
       {
           set;
           get;
       }

       public bool Checked
       {
           set;
           get;
       }
        public int IsOrPrivate
        {
            set;
            get;
        }
        private List<TreeNodeModel> _children;
       public List<TreeNodeModel> children
       {
           set { _children = value; }
           get { return _children; }
       }
    }
}
